# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games eutils

MY_PN="p47"
MY_PV="${PV//./_}"

DESCRIPTION="The retro modern high speed shooting game"
HOMEPAGE="http://www.asahi-net.or.jp/~cs8k-cyu/windows/p47.html"
SRC_URI="http://www.asahi-net.or.jp/~cs8k-cyu/windows/${MY_PN}_${MY_PV}.zip"

LICENSE="BSD"
SLOT="0"
KEYWORDS="x86"

DEPEND="dev-lang/dmd-bin
	media-libs/sdl-d
	media-libs/opengl-d
	dev-libs/libbulletml-d"

S="${WORKDIR}/${MY_PN}"

src_unpack(){
	unpack ${A}
	epatch ${FILESDIR}/${P}-replay.patch
	epatch ${FILESDIR}/${P}-gentoo.patch
}

src_compile() {
	emake || die
}

src_install() {
	newgamesbin ${MY_PN} ${PN}

	local datadir=${GAMES_DATADIR}/${MY_PN}
	dodir ${datadir}
	cp -r morph small smallmove smallsidemove middle middlesub middlemove \
		middlebackmove large largemove morph_lock small_lock middlesub_lock \
		images sounds ${D}/${datadir}

	if [ ! -e ${GAMES_STATEDIR}/${MY_PN}.prf ]
	then
		dodir ${GAMES_STATEDIR}
		touch ${D}/${GAMES_STATEDIR}/${MY_PN}.prf
	fi

	dodoc readme*
	prepgamesdirs
}

pkg_postinst() {
	chmod ug+rw ${GAMES_STATEDIR}/${MY_PN}.prf
}
